Skip to main content
GET
Get an event pattern by name

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eventName
string
required

The exact event name. URL-encode names with special characters.

Response

Successful.

id
string
required
eventName
string
required

The name of the event pattern. Use this when sending events with the API.

eventProperties
object[]
required

The properties of the event pattern, which can be used in emails.

incomingWebhookPlatform
enum<string> | null
required

The platform that sent this event pattern, if the event pattern is from an incoming webhook. Will be null for custom events.

Available options:
clerk,
polar,
stripe,
supabase,
null
Last modified on July 21, 2026